/**
 *   \file uncompress.h
 *   \brief Décompression de fichiers
 *
 *  Ce fichier contient les déclarations des fonctions nécessaires à
 *  décompresser un fichier en `.su` généré par ce programme vers un fichier
 *  `.ppm` identique à l’original.
 *
 */

#ifndef SRC_UNCOMPRESS_H_
#define SRC_UNCOMPRESS_H_

#include "ppm.h"

#define DEFAULT_UNCOMPRESSED_FILE "output.ppm"

/// Lit les segments compressés dans une zone
void read_compressed_zones(FILE *t_file, darray *t_zones);
/// Lit les zones compressées dans le fichier d’entrée
void read_compressed_file_data(FILE *t_file, darray *zones);
/// Lit les premières données du fichier compressé
void read_compressed_file_meta(FILE *t_file, Image *t_img);
/// Décompresse le fichier d’entrée dans le fichier de sortie
void uncompress(const char *t_input_file, const char *t_output_file);

#endif /* SRC_UNCOMPRESS_H_ */
